/*
 * @(#)tPP.java 1.0.0 08/27/98
 *
 * Copyright (c) 1997-1998 Servertec. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of 
 * Servertec ("Confidential Information").  You shall not disclose 
 * such Confidential Information and shall use it only in accordance 
 * with the terms of the license agreement you entered into with 
 * Servertec.
 * 
 * SERVERTEC MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
 * OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SERVERTEC SHALL NOT BE LIABLE FOR ANY
 * DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR 
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * THIS NOTICE MUST NOT BE ALTERED NOR REMOVED.
 * 
 * CopyrightVersion 1.0
 */

import stec.pp.pp;

/**
  * the tPP class is used to demonstrate the pp API.
  *
  * <p>
  * displays <b>ok</b>, if <b>a</b> is defined to some value that evaluates to <b>1</b>.
  * displays <b>error</b>, if <b>a</b> is not defined as to some value that evaluates to <b>1</b>.
  *
  * <p>
  * @version 1.0.0, 08/27/98
  * @author Servertec<br>
  *         Manuel J. Goyenechea
  */

public class tPP
{
    /* THE DEFINITION BELOW MUST NOT BE ALTERED NOR REMOVED. */
    private static final String _ = "Copyright (c) 1997-1998 Servertec. All rights reserved.";

    public static void main(String args[])
    {
        try
        {
            pp mypp = new pp();
            
            mypp.displayLogo = false;
            //mypp.verboseMessages = true;
            //mypp.removeComments = false;
            //mypp.removeBlankLines = false;
            //mypp.warningMessages = false;
            //mypp.embeddedQuotes = false;
            
            mypp.define("a", "1.0");
            mypp.define("max(a,b) (a>=b)?a:b");
            
            String input = "#if a == 1\n";
            input += "#message ok\n";
            input += "#else\n";
            input += "#message error\n";
            input += "#endif\n";
            input += "max(1,2)";
            
            System.out.println(mypp.preprocess(input));
        }
        catch(Exception e)
        {
            e.printStackTrace();
        }
    }    
}
